Skip to main content
GET
/
product-files
Get Available Files
curl --request GET \
  --url https://api.fabric.inc/v3/product-files \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "857f1f77bcf86cd799439054",
      "type": "ITEM_VARIANT_EXPORT",
      "name": "bulk_import_123345677788999.csv",
      "locale": "en-US",
      "createdAt": "2021-09-14T22:10:30.618Z",
      "updatedBy": "[email protected]",
      "updatedAt": "2021-09-14T22:10:30.618Z"
    }
  ],
  "offset": 5,
  "limit": 10,
  "count": 100
}

Authorizations

Authorization
string
header
required

S2S access token (JWT) from fabric Identity service (during login)

Headers

x-fabric-tenant-id
string

A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.

Example:

"517fa9dfd42d8b00g1o3k312"

x-fabric-request-id
string

Unique request ID

Example:

"263e731c-45c8-11ed-b878-0242ac120002"

Query Parameters

ids
string

Supports up to 15 comma-separated job IDs. Note:
1. This parameter can't be combined with any other query parameter.
2. Pagination isn't supported when this parameter is used.

fileName
string

File name

type
enum<string>

File types Supported job types

Available options:
ITEM_VARIANT_EXPORT,
ITEM_VARIANT_IMPORT,
BUNDLE_EXPORT,
BUNDLE_IMPORT,
ATTRIBUTE_IMPORT,
ATTRIBUTE_EXPORT,
CATEGORY_IMPORT,
CATEGORY_EXPORT,
COLLECTION_IMPORT,
COLLECTION_EXPORT
Example:

"ITEM_VARIANT_EXPORT"

offset
integer<int32>
default:0

Number of records to skip before returning records. For example, offset=20, limit=10 returns records 21-30.

Example:

2

limit
integer<int32>
default:10

Maximum number of records per page

Example:

20

sort
string

Sorting criteria. Supported values are updatedAt and name. Note: - refers to descending and + refers to ascending order

Example:

"+name,-updatedAt"

Response

OK

File info with pagination metadata

data
object[]
offset
integer<int32>
default:0

Number of records to skip before returning records. For example, offset=20, limit=10 returns records 21-30.

Example:

5

limit
integer<int32>
default:10

Maximum number of records per page

Example:

10

count
integer<int32>

Total number of records

Example:

100